Bug 104327 - md5sum for rh 9 disc 1, that's published on rhn website, is bad
md5sum for rh 9 disc 1, that's published on rhn website, is bad
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Red Hat Satellite QA List
https://rhn.redhat.com/network/softwa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 14:33 EDT by Amal Jasen
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-14 23:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amal Jasen 2003-09-12 14:33:58 EDT
Description of problem:
It seems that you have published the wrong md5 sum on RHN for Disc 1of  Shrike.
 The md5 published on RHN is different from the one published on the public ftp
site for Shrike Disc 1.  After downloading iso's 1-3 from rhn, iso 2 and 3
verified correctly.  The one for disc 1 (that I dowloaded from rhn), matches the
md5sum for disc1 that's published on the public ftp site.

URL's follow:
I downloaded RH 9 via my rhn page.  The url I downloaded was  
https://download-3.rhn.redhat.com/download/1063475767/447ff2ba637d9c7ee7b4685f411bf9e1805c5f5e/377368/7704/redhat/linux/9/en/iso/i386/shrike-i386-disc1.iso

The md5 published on the rhn software page
https://rhn.redhat.com/network/software/index.pxt for disk 1 is
400c7fb292c73b793fb722532abd09ad. 

It turned out that the md5 I got for the downloaded image is
34048ce4cd069b624f6e021ba63ecde5.  This is the md5 published for disc 1 on the
non-rhn download page: http://ftp.redhat.com/pub/redhat/linux/9/en/iso/i386/MD5SUM

Version-Release number of selected component (if applicable):


How reproducible:
Works for me two times.

Steps to Reproduce:
1. Log into your rhn 
2. Goto the software page
3. md5sum on the page for RH 9 disc 1 is 400c7fb292c73b793fb722532abd09ad
4. Download disc 1
5. Do an md5sum on the iso you downloaded.  Result is
34048ce4cd069b624f6e021ba63ecde5
6. Goto public ftp site's md5 document for RH 9 at
ftp.redhat.com/pub/redhat/linux/9/en/iso/i386/MD5SUM
7. Notice that md5sum published there (the ftp site) is
34048ce4cd069b624f6e021ba63ecde5 , which matches the iso you downloaded.
    
    
Actual results:

md5sum from image d-loaded from rhn matches md5 published on public ftp site,
but not that on the rhn webpage.
Expected results:


Additional info:
Comment 1 Mark Harig 2003-09-12 18:35:24 EDT
I concur with this bug report.  My results were the same, i.e., the md5sum of 
the downloaded shrike-i386-disc1.iso matches what has been reported in this bug 
report and not the md5sum listed on the RHN website.
Comment 2 Mihai Ibanescu 2003-09-14 08:10:54 EDT
Web site should display the proper MD5 checksum now.
Comment 3 Amal Jasen 2003-09-14 23:55:16 EDT
Verified the above... the md5 that's on the web page is what I get from the
downloaded image.

Note You need to log in before you can comment on or make changes to this bug.